Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## millgamej2se11
Class MillTable

    java.lang.Object
      java.awt.Component
          millgamej2se11.MillTable

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

    public class MillTable

extends java.awt.Component

A Malom játék táblájának adatszerkezetét és megjelenését reprezentáló osztály.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `COLUMN_SIZE` A táblát reprezentáló tömb oszlopainak száma
`static int` | `ROW_SIZE` A táblát reprezentáló tömb sorainak száma

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MillTable()` Egy Malom tábla egyedet létrehozó konstruktor.
`MillTable(int[][] state)` A megadott állapotot tartalmazó Malom tábla egyedet létrehozó konstruktor.

Method Summary
`boolean` | `drag(Player player)` A megadott játékos bábuját felveszi az aktuális pontról.
`void` | `drawCurrent()` Kirajzolja az aktuális pont jelölőt.
`void` | `drawMarkers()` Kirajzolja a bábukat.
`boolean` | `drop(Player player)` A megadott játékos felvett bábuját az aktuális pontra helyezi.
`static Mill` | `getMillCreatedBy(Point point, int[][] state)` Visszaadja a megadott állapotban, a megadott pont által alkotott malmot, ha van ilyen.
`int[][]` | `getStateArray()` Visszaadja a tábla akutális állapotát tartalmazó tömböt
`boolean` | `movePointer(int direction)` Az aktuális pont jelölőt a megadott irányba mozgatja.
`boolean` | `movePointerTo(Point point)` Az aktuális pont jelölőt a megadott pontra mozgatja.
`void` | `paint(java.awt.Graphics g)` Kirajzolja a tábla aktuális állapotát a komponens grafikus elemére.
`boolean` | `placeMarker(Player player)` A megadott játékos egy bábuját az aktuális pontra helyezi.
`boolean` | `remove(Player opponent)` A megadott játékos bábuját eltávolítja az aktuális pontról.
`void` | `setState(int[][] state)` A tábla állapotát a megadott állaptra állítja.
`void` | `setWinner(int winnerID)`
`void` | `showMessage(java.lang.String message)`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getAlignmentX, getAlignmentY, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, update, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ROW_SIZE

    public static final int ROW_SIZE

  A táblát reprezentáló tömb sorainak száma

  See Also:
    Constant Field Values

### COLUMN_SIZE

    public static final int COLUMN_SIZE

  A táblát reprezentáló tömb oszlopainak száma

  See Also:
    Constant Field Values

Constructor Detail

### MillTable

    public MillTable()

  Egy Malom tábla egyedet létrehozó konstruktor.

### MillTable

    public MillTable(int[][] state)

  A megadott állapotot tartalmazó Malom tábla egyedet létrehozó konstruktor.

  Parameters:
    `state` - Az inicializáló állapot

Method Detail

### setState

    public void setState(int[][] state)

  A tábla állapotát a megadott állaptra állítja.

  Parameters:
    `state` - Az új állapot.

### movePointer

    public boolean movePointer(int direction)

  Az aktuális pont jelölőt a megadott irányba mozgatja.

  Parameters:
    `direction` - A mozgás iránya
  Returns:
    true, ha a megadott irányba lehet lépni, false egyébként.

### movePointerTo

    public boolean movePointerTo(Point point)

  Az aktuális pont jelölőt a megadott pontra mozgatja.

  Parameters:
    `point` - Az új aktuális pont
  Returns:
    true, ha a megadott pointra lehet lépni, false egyébként.

### placeMarker

    public boolean placeMarker(Player player)

  A megadott játékos egy bábuját az aktuális pontra helyezi.

  Parameters:
    `player` - A következő játékos
  Returns:
    true, ha a megadott pointra lehet bábut helyezni, false egyébként.

### drag

    public boolean drag(Player player)

  A megadott játékos bábuját felveszi az aktuális pontról.

  Parameters:
    `player` - A következő játékos
  Returns:
    true, ha a megadott pointról sikerült bábut felvenni, false egyébként.

### drop

    public boolean drop(Player player)

  A megadott játékos felvett bábuját az aktuális pontra helyezi.

  Parameters:
    `player` - A következő játékos
  Returns:
    true, ha a megadott pointra sikerült a bábut helyezni, false egyébként.

### remove

    public boolean remove(Player opponent)

  A megadott játékos bábuját eltávolítja az aktuális pontról.

  Parameters:
    `opponent` - Az ellenfél játékos
  Returns:
    true, ha a megadott pointról a bábut sikerült eltávolítani, false egyébként.

### getStateArray

    public int[][] getStateArray()

  Visszaadja a tábla akutális állapotát tartalmazó tömböt

  Returns:
    Az állapot tömbje

### getMillCreatedBy

    public static Mill getMillCreatedBy(Point point,
                                        int[][] state)

  Visszaadja a megadott állapotban, a megadott pont által alkotott malmot, ha van ilyen.

  Parameters:
    `point` - A keresett pont
    `state` - A vizsgált állapot
  Returns:
    A Malom objektum, ha van ilyen, null egyébként.

### setWinner

    public void setWinner(int winnerID)

### showMessage

    public void showMessage(java.lang.String message)

### paint

    public void paint(java.awt.Graphics g)

  Kirajzolja a tábla aktuális állapotát a komponens grafikus elemére.

  Overrides:
    `paint` in class `java.awt.Component`
  Parameters:
    `g` - A grafikus elem.

### drawMarkers

    public void drawMarkers()

  Kirajzolja a bábukat.

### drawCurrent

    public void drawCurrent()

  Kirajzolja az aktuális pont jelölőt.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD